vty-crossplatform-0.4.0.0: Cross-platform support for Vty

Safe Haskell | Safe-Inferred
Language | Haskell2010

Graphics.Vty.CrossPlatform

Description

This module exposes a simple API to initialize Vty in a platform-independent way. This module only provides `mkVty` for initializing the terminal. The rest of the Vty API is accessed through the `vty` package's API. If you need access to platform-specific settings, it might be best to depend on and use the platform-specific packages directly instead of using this package.

Synopsis

- mkVty :: VtyUserConfig -> IO Vty

# Documentation

mkVty Source #

Arguments

:: VtyUserConfig | The configuration to use, usually `defaultConfig` or the result of `userConfig`.
-> IO Vty |

Build a `Vty` handle with the specified configuration.

This dispatches to the appropriate platform-specific implementation at build time based on the build environment's operating system.